New Chargeflow docs. Everything for merchants, platforms, and the API in one place.
Log in
Current (2025-04-01)Merchants API

Webhooks Events

Webhook event notifications

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

typestringOptional

The webhook type

dataobjectOptional
creationDatestringOptional

The creation date of the webhook in ISO8601 format

Formatdate-time
webhookIdstringOptional

The webhook id

Formatuuid
Default"0b5868f0-9cd9-4e02-b241-7e5eb7f184be"

Response Body

Example Requests

POST/dispute.created

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

idstringRequired

The unique identifier of the alert

account_idstringRequired

The account identifier associated with the alert

ext_account_idstringNullableRequired

The external account identifier

transactionnullOptional

The transaction object associated with the alert

created_atstringRequired

The date when the alert was created

network_transactionobjectRequired

Network transaction details

status_datestringRequired

The date when the status was last updated

statusstringRequired

The current status of the alert

Value in

  • "alerted"
  • "pending"
  • "refund_initiated"
  • "prevented"
statement_descriptorstringRequired

The statement descriptor for the transaction

amountnumberRequired

The amount associated with the alert

Response Body

Example Requests

POST/alerts.created

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

idstringRequired

The unique identifier of the alert

account_idstringRequired

The account identifier associated with the alert

ext_account_idstringOptional

The external account identifier from the platform

transaction_idstringOptional

The transaction identifier associated with the alert

created_atstringOptional

The date when the alert was created

network_transactionobjectOptional

Network transaction details associated with the alert

status_datestringOptional

The date when the status was last updated

statusstringOptional

The current status of the alert. Status can be one of the following: alerted, pending, refund_initiated, prevented.

statement_descriptorstringOptional

The statement descriptor for the transaction.

amountnumberOptional

The amount associated with the alert

Response Body

Example Requests

POST/alerts.transaction.linked

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

idstringRequired

The unique identifier of the alert

account_idstringRequired

The account identifier associated with the alert

ext_account_idstringNullableRequired

The external account identifier

transactionnullOptional

The transaction object associated with the alert

created_atstringRequired

The date when the alert was created

network_transactionobjectRequired

Network transaction details

status_datestringRequired

The date when the status was last updated

statusstringRequired

The current status of the alert

Value in

  • "alerted"
  • "pending"
  • "refund_initiated"
  • "prevented"
statement_descriptorstringRequired

The statement descriptor for the transaction

amountnumberRequired

The amount associated with the alert

Response Body

Example Requests

POST/alerts.updated

Was this page helpful?
llms.txt